/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package beans;

import entities.TransferenciaCuentaCorriente;
import java.util.List;
import javax.ejb.Local;

/**
 *
 * @author ryuuji
 */
@Local
public interface TransferenciaCuentaCorrienteFacadeLocal {

  void create(TransferenciaCuentaCorriente transferenciaCuentaCorriente);

  void edit(TransferenciaCuentaCorriente transferenciaCuentaCorriente);

  void remove(TransferenciaCuentaCorriente transferenciaCuentaCorriente);

  TransferenciaCuentaCorriente find(Object id);

  List<TransferenciaCuentaCorriente> findAll();

  List<TransferenciaCuentaCorriente> findRange(int[] range);

  int count();
  
}
